@import './variables.scss';
@import './libs/normalize.scss';

@import './components/all.scss';

body {
  background-color: $background;
}

.wrapper {
  width: calc(100vw - 100px);
  height: 100%;
  background-color: #fff;
  margin: 50px auto;
  border-radius: 10px;
  max-width: 1400px;
  @media (max-width: 645px){
    width: calc(100vw - 30px);
    margin-top: 20px;
  }
}

.content {
  padding: 40px 0;

  &__error-info{
    margin: 100px auto;
    width: 500px;
    text-align: center;

    h2{
      font-size: 32px;
      font-weight: 700;
      margin-bottom: 10px;
    }
    p{
      font-size: 20px;
    }
  }

  &__title {
    font-weight: 800;
    font-size: 38px;
    margin-top: 60px;
    margin-bottom: 50px;
  }

  &__items {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(1, 1fr);
    grid-column-gap: 11px;
    grid-row-gap: 20px;
    @media (max-width: 1400px) {
      grid-template-columns: repeat(3, 1fr);
    }
    @media (max-width: 1060px) {
      grid-template-columns: repeat(2, 1fr);
    }
    @media (max-width: 730px) {
      grid-template-columns: repeat(1, 1fr);
    }
  }

  &__top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    @media (max-width: 1290px) {
      .categories {
        width: 100%;
        overflow: auto;

        ul {
          width: 785px;
        }
      }
      .sort {
        padding-left: 20px;
        b {
          display: none;
        }
      }
    }
    @media (max-width: 820px) {
      .categories{
        margin-top: 30px;
      }

      flex-direction: column-reverse;
    }
    @media (max-width: 760px) {
      ul{
        li{
          padding: 8px 20px;
        }
      }
    }
  }
}

.container {
  width: $container-width;
  margin: 0 auto;

  &--cart {
    max-width: 820px;
    margin: 90px auto;

    .content__title {
      margin: 0;
    }
  }
}

.cart {
  &__top {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .content__title {
    display: flex;
    align-items: center;
    font-size: 32px;
    @media (max-width: 480px) {
      font-size: 20px;
    }

    svg {
      position: relative;
      top: -2px;
      width: 30px;
      height: 30px;
      margin-right: 10px;

      path {
        stroke: $black;
        stroke-width: 1.9;
      }
    }
  }

  &__clear {
    display: flex;
    align-items: center;
    cursor: pointer;
    @include noselect();

    span {
      display: inline-block;
      margin-left: 7px;
      color: #b6b6b6;
      font-size: 18px;
    }

    span,
    svg,
    path {
      transition: all $duration ease-in-out;
    }

    &:hover {
      svg {
        path {
          stroke: darken($color: #b6b6b6, $amount: 50);
        }
      }

      span {
        color: darken($color: #b6b6b6, $amount: 50);
      }
    }
  }
  .content__items{
    display: block;


  }
  &__item {
    display: flex;
    width: 100%;
    border-top: 1px solid $gray-line;
    padding-top: 30px;
    margin-top: 30px;
    @media (max-width: 760px) {
      &-info{
        margin: 20px;
      }
    }

    &-left{
      width: 100%;
      display: flex;

    }
    &-right{
      width: 100%;
      display: flex;
      justify-content: space-between;
    }
    @media (max-width: 1100px) {
      width: 100%;
      display: flex;
      justify-content: space-between;
      &-left{
        display: flex;

      }
      &-right{
        display: flex;
        justify-content: space-between;
      }
    }
    @media (max-width: 480px) {
      display: block;
      &-left{
        display: flex;
        justify-content: space-between;
      }
      &-right{
        display: flex;
        justify-content: space-between;
      }
    }

    &-img {
      display: flex;
      align-items: center;
      margin-right: 15px;
      width: 10%;

      img {
        width: 80px;
        height: 80px;
      }
    }

    &-info {
      display: flex;
      flex-direction: column;
      justify-content: center;
      width: 40%;
      margin: 40px;

      h3 {
        font-weight: bold;
        font-size: 22px;
        line-height: 27px;
        letter-spacing: 0.01em;
      }

      p {
        font-size: 18px;
        color: #8d8d8d;
      }
    }

    &-count {
      display: flex;
      align-items: center;
      justify-content: space-between;
      width: 13%;

      &-minus {
        svg {
          path:first-of-type {
            display: none;
          }
        }
        &:disabled{
          opacity: 1;
          border-color: #787878;
          &:active{
            transform: none;
          }
          &:hover{
            background-color: transparent;
          }
          svg path{
            fill: #787878;
          }
        }
      }

      b {
        font-size: 22px;
        padding: 10px;
      }
    }

    &-price {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 33%;

      b {
        font-weight: bold;
        font-size: 22px;
        letter-spacing: 0.01em;
      }
    }

    &-remove {
      display: flex;
      align-items: center;
      justify-content: flex-end;
      width: 4%;

      .button {
        border-color: darken($color: $gray-line, $amount: 10);
      }

      svg {
        transform: rotate(45deg);

        path {
          fill: darken($color: $gray-line, $amount: 15);
        }
      }

      .button {
        svg {
          width: 11.5px;
          height: 11.5px;
          position: relative;
        }

        &:hover,
        &:active {
          border-color: darken($color: $gray-line, $amount: 80);
          background-color: darken($color: $gray-line, $amount: 80);
        }
      }
    }
  }

  &__bottom {
    margin: 50px 0;

    &-details {
      display: flex;
      justify-content: space-between;

      span {
        font-size: 22px;

        &:last-of-type {
          b {
            color: $orange;
          }
        }
      }
    }

    &-buttons {
      display: flex;
      justify-content: space-between;
      margin-top: 40px;

      .go-back-btn {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 210px;

        border-color: darken($color: $gray-line, $amount: 10);

        span {
          color: darken($color: $gray-line, $amount: 20);
          font-weight: 500;
          font-weight: 600;
        }

        &:hover {
          background-color: darken($color: $gray-line, $amount: 90);
          border-color: darken($color: $gray-line, $amount: 90);

          span {
            color: $gray-line;
          }
        }

        svg {
          margin-right: 12px;

          path {
            fill: transparent;
            stroke-width: 2;
          }
        }
      }

      .pay-btn {
        font-size: 16px;
        font-weight: 600;
        width: 210px;
        padding: 16px;
      }
    }
  }

  &--empty {
    margin: 80px auto;
    width: 620px;
    text-align: center;
    @media (max-width: 740px) {
      width: 100%;
    }

    h2 {
      font-size: 36px;
      font-weight: 700;
      margin-bottom: 15px;
    }

    p {
      font-size: 20px;
      line-height: 145.4%;
      letter-spacing: 0.01em;
      color: #777777;
    }

    icon {
      position: relative;
      top: 2px;
    }

    img {
      display: block;
      width: 300px;
      margin: 45px auto 60px;
    }

    .button--black {
      padding: 12px 0 14px;
      width: 230px;
      margin: 0 auto;
      font-weight: 600;
      font-size: 18px;
    }
  }
}
